diff --git a/build-all.sh b/build-all.sh
index bef304bb8c82d749d0bfb79ac40c52cf2a334906..8376bb0931e1da6620bba1d57048cdf33be649f8 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -68,11 +68,17 @@ cd $ZIPR_CALLBACKS
 make  || exit
 make install || exit
 
-cd $ZIPR_HOME
-scons  || exit
 
-cd $ZIPR_SCFI_PLUGIN
-scons  || exit
+if [ -d $ZIPR_HOME ]; 
+	cd $ZIPR_HOME
+	scons  || exit
+fi
+
+if [ -d $ZIPR_SCFI_PLUGIN ];
+then
+	cd $ZIPR_SCFI_PLUGIN
+	scons  || exit
+fi
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_push64_reloc_plugin
 scons || exit